PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PIPSocket::RouteTableDetector Class Referenceabstract

Class for detector of Route Table changes. More...

`#include <ipsock.h>`

## Public Member Functions
virtual | ~RouteTableDetector ()
virtual bool | Wait (const PTimeInterval &timeout)=0
virtual void | Cancel ()=0

## Detailed Description

Class for detector of Route Table changes.

## Constructor & Destructor Documentation

virtual PIPSocket::RouteTableDetector::~RouteTableDetector | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void PIPSocket::RouteTableDetector::Cancel | ( |  | ) |
| pure virtual

virtual bool PIPSocket::RouteTableDetector::Wait | ( | const PTimeInterval & | timeout | ) |
| pure virtual

Parameters

  timeout | Time to wait for refresh (may be ignored)

The documentation for this class was generated from the following file:

- ipsock.h